function [u, y] = load_tf_ident_data(var_number)

fname = ['tf_ident_data/' num2str(var_number) '.csv'];
data = load(fname);

u = data(2:end, 1);
y = data(2:end, 2);

end

function plot_file2(filename)
data = load(filename);
N = size(data, 1);

k = 220:279;

u = data(k, 1);
y = data(k, 2);

subplot(2, 1, 1)
t = 1:length(u);
plot(t, u, t, u, 'o'); grid on;
title('u')

subplot(2, 1, 2)
t = 1:length(y);
plot(t, y, t, y, 'o'); grid on;
title('y')



end

function plot_file(filename)
data = load(filename);
N = size(data, 1);

k = 220:279;

u = data(k, 1);
y = data(k, 2);


n = 3;


subplot(n+1, 1, 1)
t = 1:length(u);
plot(t, u, t, u, 'o'); grid on;
title('u')

dy = y;
for i = 1:n
    subplot(n+1, 1, i+1)
    t = 1:length(dy);
    plot(t, dy, t, dy, 'o'); grid on;
    if i == 1
        title('y')
    else
        title(['y^{(' num2str(i-1) ')}'])
    end
    
    dy = diff(dy, 1);
end


end

function yd = diff(y, j) % 
yd = zeros(length(y)-j, 1);
 for i=1:length(y)-j
     yd(i)=(y(i+1)-y(i))/1;
 end
end


function [M, MY] = tf_plan_matrix(n,y,u)
%       
vector(:,1)= y(1:length(y)); %  vector,    y   
k=n+1; %       M2  ,      ,.     y
MY(:,k) = vector(1:length(y)-n,1); %  
for i=1:n %         
    vector(1:length(y)-i,i+1) = diff(vector(:,i),i);
    k=k-1;   
    MY(:,k) = vector(1:length(y)-n,i+1);
end
M = [- MY(1:length(y)-n,2:end),u(1:length(y)-n)];%  
end
